<?php

declare(strict_types=1);

namespace apexl\Io\modules\mirror\Exception;

use Exception;
use Throwable;

final class UploaderException extends Exception
{
    public function __construct(
        public ?string $clientErrorCode = null,
        public ?string $clientErrorMessage = null,
        $message = '',
        $code = 0,
        ?Throwable $previous = null
    ) {
        parent::__construct($message, $code, $previous);
    }
}
